ED(1)

NUME
ed - editor de text orientat pe linii

REZUMAT
ed [opțiuni] [fișier]

DESCRIERE
GNU «ed» este un editor de text orientat pe linii. Este utilizat pentru a crea, afișa, modifica și manipula în alt mod fișierele text, atât interactiv, cât și prin intermediul scripturilor shell. O versiune restricționată a «ed», «red», poate edita numai fișierele din directorul curent și nu poate executa comenzi shell. «ed» este editorul de text „standard”, în sensul că este editorul original pentru Unix și, prin urmare, este disponibil pe scară largă. Cu toate acestea, pentru majoritatea scopurilor, este înlocuit de editorii cu ecran complet, cum ar fi GNU Emacs sau GNU Moe.

OPȚIUNI

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

-E, --extended-regexp
    utilizează expresii regulate extinse

-G, --traditional
    rulează în modul de compatibilitate

-l, --loose-exit-status
    iese cu starea 0 chiar dacă o comandă eșuează

-p, --prompt=ȘIR
    utilizează ȘIRUL ca un prompt interactiv

-q, --quiet, --silent
    suprimă diagnosticele scrise la ieșirea de eroare standard (stderr)

-r, --restricted
    rulează în modul restricționat

-s, --script
    suprimă numărul de octeți și promptul „!”

-v, --verbose
    oferă informații detaliate; echivalent cu comanda „H”.

--strip-trailing-cr
    elimină retururile de caret de la sfârșitul liniilor de text

Începe editarea prin citirea fișierului „fișier”, dacă este dat. Dacă „fișier” începe cu un „!”, se citește ieșirea unei comenzi shell.

Starea de ieșire: 0 pentru o ieșire normală, 1 pentru probleme de mediu (fișier negăsit, opțiuni de linie de comandă nevalide, erori de In/Ieș, etc.), 2 pentru a indica un fișier de intrare corupt sau nevalid, 3 pentru o eroare de consistență internă (de exemplu, eroare de programare) care a provocat panică în ed.

RAPORTAREA ERORILOR
Raportați erorile la bug-ed@gnu.org
Pagina principală a «ed»: http://www.gnu.org/software/ed/ed.html
Ajutor general pentru utilizarea software-ului GNU: http://www.gnu.org/gethelp/

DREPTURI DE AUTOR
Drepturi de autor © 1994 Andrew L. Moore.
Drepturi de autor © 2023 Antonio Diaz Diaz. Licența GPLv2+: GNU GPL versiunea 2 sau ulterioară <http://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru ed este menținută ca un manual Texinfo. Dacă programele info și ed sunt instalate corect pe sistemul dvs., comanda

    info ed

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.